Builder Volume Statistics
Endpoint
Section titled “Endpoint”GET /v1/builders/volumeServer: https://data.openfish.fun
Authentication: None required
Query Parameters
Section titled “Query Parameters”| Parameter | Type | Default | Description |
|---|---|---|---|
builderId | string | — | Narrow results to a single builder |
timePeriod | string (enum) | DAY | DAY, WEEK, MONTH, ALL |
limit | integer | 25 | Maximum entries returned (0-50) |
offset | integer | 0 | Pagination offset (0-1000) |
Responses
Section titled “Responses”200 — Volume data retrieved
Section titled “200 — Volume data retrieved”The body is an array of builder volume entries.
| Field | Type | Description |
|---|---|---|
builder | string | Builder identifier |
volume | number | Total trading volume |
tradeCount | integer | Number of trades |
timePeriod | string | Aggregation period |
Sample Response:
[ { "builder": "my-trading-bot", "volume": 450000.00, "tradeCount": 1205, "timePeriod": "DAY" }]400 — Bad Request
Section titled “400 — Bad Request”{ "error": "invalid parameters" }500 — Server Error
Section titled “500 — Server Error”{ "error": "Internal server error" }